<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE project>
<project>
    <pomVersion>3</pomVersion>
    <extend>${basedir}/../../etc/project.xml</extend>
    
    <name>ActiveMQ :: Integration Tests :: Client</name>
    <id>activemq-itest-client</id>
    <shortDescription>ActiveMQ is a JMS 1.1 implementation designed for easy deployment in Geronimo</shortDescription>
    <description>
  	    ActiveMQ is an open source JMS 1.1 implementation designed for easy deployment in Geronimo
    </description>

    <package>org.codehaus.activemq.itests</package>
    <packageGroups>
        <packageGroup>
            <title>Integration Tests</title>
            <packages>org.codehaus.activemq.itest.*</packages>
        </packageGroup>
    </packageGroups>

    <dependencies>

        <dependency>
             <groupId>activemq</groupId>
             <artifactId>activemq</artifactId>
             <version>${pom.currentVersion}</version>
             <type>jar</type>
        </dependency>
        <dependency>
            <groupId>activemq</groupId>
            <artifactId>activemq-itest-ear</artifactId>
            <version>${pom.currentVersion}</version>
            <type>ear</type>
        </dependency>
        <dependency>
            <groupId>activemq</groupId>
            <artifactId>activemq-itest-ejb</artifactId>
            <version>${pom.currentVersion}</version>
            <type>ejb</type>
        </dependency>

        <dependency>
             <groupId>geronimo</groupId>
             <artifactId>geronimo-deployment-plugin</artifactId>
             <type>plugin</type>
        </dependency>

        <dependency>
            <groupId>maven-itest-plugin</groupId>
            <artifactId>maven-itest-plugin</artifactId>
            <type>plugin</type>
        </dependency>

        <!-- for openejb jndi class to look up the ejbs-->
        <dependency>
            <groupId>openejb</groupId>
            <artifactId>openejb-core</artifactId>
            <properties>
                <module>true</module>
            </properties>
        </dependency>

        <dependency>
             <groupId>geronimo</groupId>
             <artifactId>geronimo-security</artifactId>
        </dependency>

        <dependency>
            <groupId>cglib</groupId>
            <artifactId>cglib-full</artifactId>
            <url>http://cglib.sf.net</url>
        </dependency>

    </dependencies>

</project>
